jQuery(document).ready(function(){

//	alert("modificado");
//	alert( $("#detalleEntProvinciarestoId").val());
//	funcRecuperarDescProvincia();
	
	/*
	 * **********
	 * Feedback *
	 * **********
	 */
	$("#y42bEntityDivFeedback").rup_feedback({
		gotoTop : false,
		block : false,
		closeLink : true
	});
	
	$("#group_treeDetail").dynatree({
		initAjax: {
			url: "../entidad/groupTreeDetalle",
			data: {entidadId: $("#entidad_entidadId").val(), grupos: $("#entidad_grupos").val()
				  } // Optional arguments to append to the url
		},
		activeVisible: true, // Make sure, active nodes are visible (expanded).
		checkbox: true, // Show checkboxes.
		selectMode: 2, // 1:single, 2:multi, 3:multi-hier
		onClick: function(node, event) {
			// We should not toggle, if target was "checkbox", because this
			// would result in double-toggle (i.e. no toggle)
			if( node.getEventTargetType(event) == "title" ) {
				node.toggleSelect();
			}
		},
		onSelect: function(select, node) {
			// Display list of selected nodes
			var selNodes = node.tree.getSelectedNodes();
			// convert to key array
			var keyList = $.map(selNodes, function(node){
				return node.data.key;
			});
			//$("#grupoIdList").val(keyList);
		},
		onCreate:function(dtnode) {
			dtnode.data.unselectable = true;
		},
		// The following options are only required, if we have more than one tree on one page:
		cookieId: "group_list_dynatree",
		idPrefix: "group_list_dynatree"
		
	});
	
	
	
	$("#contact_grid").rup_grid({
		width: 750,
		url:"../entidad/contactGrid",
		pagerName: "contact_pager",
		rowNum: "5",
		postData:{entidadId:$("#entidad_entidadId").val()},
		sortorder: "asc",
		sortname: "nombre",
		hidegrid: true,
		colNames:[
			$.rup.i18n.app.contact_grid.id,
			$.rup.i18n.app.contact_grid.nombre,
			$.rup.i18n.app.contact_grid.cargo,
			$.rup.i18n.app.contact_grid.telefono,
			$.rup.i18n.app.contact_grid.email
		],
		colModel:[
			{
				name: "contactoId",
				index: "contactoId",
				width: "1",
				hidden: true
			},
			{
				name: "nombre",
				index: "nombre",
				width: "150"
			},
			{
				name: "cargo",
				index: "cargo",
				width: "100",
				align: "center"
			},
			{
				name: "telefono",
				index: "telefono",
				width: "100",
				align: "right"
			},
			{	
				name: "email",
				index: "email",
				width: "150",
				align: "center"
			}
		],
		onSelectRow : function(id, selectR) {
			var row = $("#contact_grid").rup_grid("getRowData", id);
			var url="/y42bVistaWar/contactos/"+row.contactoId;
			$('#tab_entidad').html("");
			$('#tab_contacto').load(url);
		}
	});
	
	
	 buscarTipoOrganismo($("#entidadDetalleTipoOrgHidden").val());
	 buscarAmbitoGeografico($("#entidadDetalleAmbitoGeograficoHidden").val());
	
	
//	y42bEntidadDetalle_FunctionCargarComboTipoOrganismo($("#entidadDetalleTipoOrgHidden").val());
//	y42bEntidadDetalle_FunctionCargarComboAmbitoGeografico($("#entidadDetalleAmbitoGeograficoHidden").val());
	
	
//	$(document).ready(function(){
//		y42bEntidadDetalle_FunctionValoresComboaCajas();
//	});


	
	
	
	
//	var entidadLocalizacionNacional = $("#entidadLocalizacionNacional").val();
//	//alert("entidadLocalizacionNacional"+entidadLocalizacionNacional);
//
//
//	if ("S"==entidadLocalizacionNacional){		
//		var detalleEntProvincia = $("#detalleEntProvincia").val();
//		var detalleEntMunicipio = $("#detalleEntMunicipio").val();
//		var detalleEntLocalidad = $("#detalleEntLocalidad").val();
//		var detalleEntCodPostal = $("#detalleEntCodPostal").val();
//		var detalleEntCalle = $("#detalleEntCalle").val();
//		var detalleEntPortal = $("#detalleEntPortal").val();
//		
//		//alert("detalleEntProvincia"+detalleEntProvincia);
//		//alert("detalleEntMunicipio"+detalleEntMunicipio);
//		//alert("detalleEntLocalidad"+detalleEntLocalidad);
//		//alert("detalleEntCodPostal"+detalleEntCodPostal);
//		//alert("detalleEntCalle"+detalleEntCalle);
//		//alert("detalleEntPortal"+detalleEntPortal);
//
//		if ((null==detalleEntProvincia || ""==detalleEntProvincia)
//			&& (null==detalleEntMunicipio || ""==detalleEntMunicipio)
//			&& (null==detalleEntLocalidad || ""==detalleEntLocalidad)
//			&& (null==detalleEntCodPostal || ""==detalleEntCodPostal)
//			&& (null==detalleEntCalle || ""==detalleEntCalle)
//			&& (null==detalleEntPortal || ""==detalleEntPortal)){
//			
//			$.rup_messages("msgOK",{
//				   title:$.rup.i18n.app.msg.confirmacion,
//				   message: $.rup.i18n.app.msg.confiramacioDetEnt
//			   });
//		}
//	}else if ("N"==entidadLocalizacionNacional){	
//		var detalleEntPais = $("#detalleEntPais").val();
//		var detalleEntDireccion = $("#detalleEntDireccion").val();
//
//		//alert("detalleEntPais"+detalleEntPais);
//		//alert("detalleEntDireccion"+detalleEntDireccion);
//		
//		if ((null==detalleEntPais || ""==detalleEntPais)
//			&& (null==detalleEntDireccion || ""==detalleEntDireccion)){
//				
//				$.rup_messages("msgOK",{
//					   title:$.rup.i18n.app.msg.confirmacion,
//					   message: $.rup.i18n.app.msg.confiramacioDetEnt
//				   });
//			}
//	}

	


});

//$("#loc_nacional").click(function(){
//	$("#localizacion_internacional").hide();
//	$("#localizacion_nacional").show();
//});

//$("#loc_extranjera").click(function(){
//	$("#localizacion_nacional").hide();
//	$("#localizacion_internacional").show();
//});

//$("#y42bEntityMAIL").click(function () {
//	 var email = $("#y42bEntityMailtext").val();
//	 email = email.toLowerCase();
//	 if (email ==""){
//		 	$("#y42bEntityDivFeedback").rup_feedback("option", "delay",null);
//			$("#y42bEntityDivFeedback").rup_feedback("set",$.rup.i18n.app.msg.emailVacio, "warning");
//	 }else{
//		 var emailCorrecto = y42bValidarEmail(email); 
//		 if (emailCorrecto){
//			 var mailto_link = "mailto:"+ email;
//			 window.location.href = mailto_link;
//		 }else{
//			 	$("#y42bEntityDivFeedback").rup_feedback("option", "delay",null);
//				$("#y42bEntityDivFeedback").rup_feedback("set",$.rup.i18n.app.msg.emailInvalido, "warning");
//		 }
//	 }
//});

//$("#y42bEntityURL").click(function () {
//	 var url = $("#y42bEntityURLtext").val();
//	 if (url ==""){
//		 	$("#y42bEntityDivFeedback").rup_feedback("option", "delay",null);
//			$("#y42bEntityDivFeedback").rup_feedback("set",$.rup.i18n.app.msg.urlVacia, "warning");
//	 }else{
//		 var urlCorrecta = y42bValidarURL(url); 
//		 if (urlCorrecta){
//			 y42bAbrirVentana(url);
//		 }else{
//			 	$("#y42bEntityDivFeedback").rup_feedback("option", "delay",null);
//				$("#y42bEntityDivFeedback").rup_feedback("set",$.rup.i18n.app.msg.urlInvalida, "warning");
//		 }
//	 }
//});


//funcRecuperarDescProvincia(){
//	alert("entrafuncion");
//	$.ajax({
//		type : "GET",
//		
//		url : "/y41bVistaWar/nora/provinciaById/" + $("#detalleEntProvinciarestoId").val() + "?R01HNoPortal=true",
//		dataType : "json",
//		error : function(jqXHR, textStatus, errorThrown) {
//			$("#y41bConsultaEdicionDivFeedback").rup_feedback("option", "delay", 800);
//			$("#y41bConsultaEdicionDivFeedback").rup_feedback("set",$.rup.i18n.app.msg.prodServNoSeleccionable, "alert");
//		},
//		success : function(data, textStatus, jqXHR) {
//			
//			$("#detalleEntProvinciarestoDesc").val(data.dsO);
//			
//		}
//	});
//}


//Tipo Organismo
function y42bEntidadDetalle_FunctionPintarComboTipoOrganismo(){
	$("#y42bEntidadDetalle_ComboTipoOrganismo-button").remove();
	$("#y42bEntidadDetalle_ComboTipoOrganismo-menu").remove();
	$('<select id="y42bEntidadDetalle_ComboTipoOrganismo" name="tipoOrganismo"></select>').replaceAll("#y42bEntidadDetalle_ComboTipoOrganismo");
	$("#y42bEntidadDetalle_ComboTipoOrganismo").rup_combo({
		blank : "",
		width:"360",
		source : "/y42bVistaWar/tipoorganismo?R01HNoPortal=true",
		sourceParam : {
			label : "tornombre"  + recuperarLetraIdioma(),
			value : "torcodigo"
		}
		
	});	
	
	$("#y42bEntidadDetalle_ComboTipoOrganismo-menu").remove();

}

function y42bEntidadDetalle_FunctionCargarComboTipoOrganismo(torcodigo){
	y42bEntidadDetalle_FunctionPintarComboTipoOrganismo();
	if (torcodigo!=null){
		$("#y42bEntidadDetalle_ComboTipoOrganismo").rup_combo("setRupValue",torcodigo);
	}else{
		$("#y42bEntidadDetalle_ComboTipoOrganismo").rup_combo("select","");
	}
	
	if ($("#entidadDetalleTipoOrgHidden").val()!=""){
		$("#entidadDetalle_TipoOrigenMostrado").val( $('#y42bEntidadDetalle_ComboTipoOrganismo option:selected').html());
	}else{
		$("#entidadDetalle_TipoOrigenMostrado").val("");	
	}
}

//Ambito Geografico
function y42bEntidadDetalle_FunctionPintarComboAmbitoGeografico(){
	$("#y42bEntidadDetalle_ComboAmbitoGeografico-button").remove();
	$("#y42bEntidadDetalle_ComboAmbitoGeografico-menu").remove();
	$('<select id="y42bEntidadDetalle_ComboAmbitoGeografico" name="ambitoGeografico"></select>').replaceAll("#y42bEntidadDetalle_ComboAmbitoGeografico");
	$("#y42bEntidadDetalle_ComboAmbitoGeografico").rup_combo({
		blank : "",
		width:"360",
		source : "/y42bVistaWar/ambitogeografico?R01HNoPortal=true",
		sourceParam : {
			label : "tagnombre"  + recuperarLetraIdioma(),
			value : "tagcodigo"
		}
	});	
	
	$("#y42bEntidadDetalle_ComboAmbitoGeografico-menu").remove();

}

function y42bEntidadDetalle_FunctionCargarComboAmbitoGeografico(tagcodigo){
	y42bEntidadDetalle_FunctionPintarComboAmbitoGeografico();
	if (tagcodigo!=null){
		$("#y42bEntidadDetalle_ComboAmbitoGeografico").rup_combo("setRupValue",tagcodigo);
	}else{
		$("#y42bEntidadDetalle_ComboAmbitoGeografico").rup_combo("select","");
	}
}


//function  y42bEntidadDetalle_FunctionValoresComboaCajas(){
//	if ($("#entidadDetalleTipoOrgHidden").val()!=""){
//		$("#entidadDetalle_TipoOrigenMostrado").val( $('#y42bEntidadDetalle_ComboTipoOrganismo option:selected').html());
//	}else{
//		$("#entidadDetalle_TipoOrigenMostrado").val("");	
//	}
//
//	if ($("#entidadDetalleAmbitoGeograficoHidden").val()){
//		$("#entidadDetalle_AmbitoGeograficoMostrado").val( $('#y42bEntidadDetalle_ComboAmbitoGeografico option:selected').html());
//	}else{
//		$("#entidadDetalle_AmbitoGeograficoMostrado").val("");
//	}
//	
//}




function buscarTipoOrganismo(torcodigo) {
	$.ajax({
		type : "GET",
		url : "/y42bVistaWar/tipoorganismo/" + torcodigo,
		dataType : "json",
		error : function(jqXHR, textStatus, errorThrown) {
			
			$("#y42bEntityDivFeedback").rup_feedback("option", "delay", null);
			$("#y42bEntityDivFeedback").rup_feedback("set", textStatus + ": error", "error");
		},
		success : function(data, textStatus, jqXHR) {
			$("#entidadDetalle_TipoOrigenMostrado").val(data.tornombre);
		}
	});

}

function buscarAmbitoGeografico(tagcodigo) {
	$.ajax({
		type : "GET",
		url : "/y42bVistaWar/ambitogeografico/" + tagcodigo,
		dataType : "json",
		error : function(jqXHR, textStatus, errorThrown) {
			
			$("#y42bEntityDivFeedback").rup_feedback("option", "delay", null);
			$("#y42bEntityDivFeedback").rup_feedback("set", textStatus + ": error", "error");
		},
		success : function(data, textStatus, jqXHR) {
			$("#entidadDetalle_AmbitoGeograficoMostrado").val(data.tagnombre);
		}
	});
}


